# path-root-regex [![NPM version](https://img.shields.io/npm/v/path-root-regex.svg?style=flat)](https://www.npmjs.com/package/path-root-regex) [![NPM downloads](https://img.shields.io/npm/dm/path-root-regex.svg?style=flat)](https://npmjs.org/package/path-root-regex) [![Build Status](https://img.shields.io/travis/jonschlinkert/path-root-regex.svg?style=flat)](https://travis-ci.org/jonschlinkert/path-root-regex)

> Regular expression for getting the root of a posix or windows filepath.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install path-root-regex --save
```

## Usage

The module exposes a function that must be called to get the regex.

```js
var pathRootRegex = require('path-root-regex');

console.log(pathRootRegex() instanceof RegExp);
//=> true
```

```assert.equal(match('\\\\server\\share\\abc'), '\\\\server\\share\\');
assert.equal(match('\\\\server foo\\some folder\\base-file.js'), '\\\\server foo\\some folder\\');
assert.equal(match('\\\\?\\UNC\\server\\share'), '\\\\?\\UNC\\');
assert.equal(match('foo/bar/baz.js'), '');
assert.equal(match('c:\\foo\\bar\\baz.js'), 'c:\\');
assert.equal(match('\\\\slslslsl\\admin$\\system32'), '\\\\slslslsl\\admin$\\');
assert.equal(match('/foo/bar/baz.js'), '/');
```
## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/path-root-regex/issues/new).

## Building docs

Generate readme and API documentation with [verb](https://github.com/verbose/verb):

```sh
$ npm install verb && npm run docs
```

Or, if [verb](https://github.com/verbose/verb) is installed globally:

```sh
$ verb
```

## Running tests

Install dev dependencies:

```sh
$ npm install -d && npm test
```

## Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2016, [Jon Schlinkert](https://github.com/jonschlinkert).
Released under the [MIT license](https://github.com/jonschlinkert/path-root-regex/blob/master/LICENSE).

***

_This file was generated by [verb](https://github.com/verbose/verb), v, on March 29, 2016._